Package edu.wisc.game.web

## Class LaunchRules

- java.lang.Object
- - edu.wisc.game.web.ResultsBase
  - - edu.wisc.game.web.LaunchRulesBase
    - - edu.wisc.game.web.LaunchRules

-     public class LaunchRules
      extends LaunchRulesBase

  The Launch page that allows one to play all rule sets from a specific subdirectory of the rules directory, such as rules/APP, rules/BRM, or rules/CGS. As requested by Paul on 2021-10-12 and 2021-10-13, with an additional expansion (CGS) in the fall of 2022.

        The M need not provide bonuses, and can use the standard 4 colors and shapes. I'd suggest either 5 to 8 pieces (a random number). People should be able to give up even at the first screen, if that is supported.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class edu.wisc.game.web.LaunchRulesBase

      `LaunchRulesBase.AndroidRuleInfoReport, LaunchRulesBase.Mode, LaunchRulesBase.RuleInfo`

  - ### Field Summary

    - ### Fields inherited from class edu.wisc.game.web.LaunchRulesBase

      `allPlayers, mustUseDevClient, tableText`

    - ### Fields inherited from class edu.wisc.game.web.ResultsBase

      `displayName, infomsg, uid`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LaunchRules​(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response, LaunchRulesBase.Mode mode)` | Generates the table for the APP or CGS launch page.

  - ### Method Summary

    - ### Methods inherited from class edu.wisc.game.web.LaunchRulesBase

      `buildTable, describeTrialList, mkCell, mkForm`

    - ### Methods inherited from class edu.wisc.game.web.ResultsBase

      `exceptionTrace, getDisplayText, getErrmsg, getError, getEx, giveError, giveError, loggedIn, setErrmsg, setError`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LaunchRules

          public LaunchRules​(jakarta.servlet.http.HttpServletRequest request,
                             jakarta.servlet.http.HttpServletResponse response,
                             LaunchRulesBase.Mode mode)

      Generates the table for the APP or CGS launch page.
      Parameters:
        `request` - May contain rule=XXXX, to just use this one set (under the mode's rule directory)
        `mode` - Which page to generate? We have several launch page for different audiences.